picard.analysis.directed

## Class TargetedPcrMetricsCollector

- java.lang.Object
- - picard.metrics.MultiLevelCollector<BEAN,HKEY,htsjdk.samtools.SAMRecord>
  - - picard.metrics.SAMRecordMultiLevelCollector<METRIC_TYPE,Integer>
    - - picard.analysis.directed.TargetMetricsCollector<TargetedPcrMetrics>
      - - picard.analysis.directed.TargetedPcrMetricsCollector

-     public class TargetedPcrMetricsCollector
      extends TargetMetricsCollector<TargetedPcrMetrics>

  Calculates HS metrics for a given SAM or BAM file. Requires the input of a list of target intervals and a list of bait intervals. Can be invoked either on an entire iterator of SAMRecords or be passed SAMRecords one at a time.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class picard.analysis.directed.TargetMetricsCollector

      `TargetMetricsCollector.Coverage, TargetMetricsCollector.PerUnitTargetMetricCollector`

  - ### Field Summary

    - ### Fields inherited from class picard.analysis.directed.TargetMetricsCollector

      `NEAR_PROBE_DISTANCE_DEFAULT`

    - ### Fields inherited from class picard.metrics.MultiLevelCollector

      `UNKNOWN`

  - ### Constructor Summary

    Constructors
    Constructor and Description

    `TargetedPcrMetricsCollector(Set<MetricAccumulationLevel> accumulationLevels, List<htsjdk.samtools.SAMReadGroupRecord> samRgRecords, htsjdk.samtools.reference.ReferenceSequenceFile refFile, File perTargetCoverage, File perBaseCoverage, htsjdk.samtools.util.IntervalList targetIntervals, htsjdk.samtools.util.IntervalList probeIntervals, String probeSetName, int nearProbeDistance, int minimumMappingQuality, int minimumBaseQuality, boolean clipOverlappingReads, boolean noSideEffects, int coverageCap, int sampleSize)`

    `TargetedPcrMetricsCollector(Set<MetricAccumulationLevel> accumulationLevels, List<htsjdk.samtools.SAMReadGroupRecord> samRgRecords, htsjdk.samtools.reference.ReferenceSequenceFile refFile, File perTargetCoverage, File perBaseCoverage, htsjdk.samtools.util.IntervalList targetIntervals, htsjdk.samtools.util.IntervalList probeIntervals, String probeSetName, int nearProbeDistance, int minimumMappingQuality, int minimumBaseQuality, boolean clipOverlappingReads, int coverageCap, int sampleSize)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TargetedPcrMetrics` | `convertMetric(picard.analysis.directed.TargetMetrics targetMetrics)`

    - ### Methods inherited from class picard.analysis.directed.TargetMetricsCollector

      `getNearProbeDistance, getNumBasesPassingMinimumBaseQuality, makeAllReadCollector, makeChildCollector, reflectiveCopy, setNearProbeDistance, setNoSideEffects`

    - ### Methods inherited from class picard.metrics.SAMRecordMultiLevelCollector

      `makeArg`

    - ### Methods inherited from class picard.metrics.MultiLevelCollector

      `acceptRecord, addAllLevelsToFile, finish, getAllReadsCollector, makeLibraryCollector, makeReadGroupCollector, makeSampleCollector, setup`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TargetedPcrMetricsCollector

          public TargetedPcrMetricsCollector(Set<MetricAccumulationLevel> accumulationLevels,
                                             List<htsjdk.samtools.SAMReadGroupRecord> samRgRecords,
                                             htsjdk.samtools.reference.ReferenceSequenceFile refFile,
                                             File perTargetCoverage,
                                             File perBaseCoverage,
                                             htsjdk.samtools.util.IntervalList targetIntervals,
                                             htsjdk.samtools.util.IntervalList probeIntervals,
                                             String probeSetName,
                                             int nearProbeDistance,
                                             int minimumMappingQuality,
                                             int minimumBaseQuality,
                                             boolean clipOverlappingReads,
                                             int coverageCap,
                                             int sampleSize)

    - #### TargetedPcrMetricsCollector

          public TargetedPcrMetricsCollector(Set<MetricAccumulationLevel> accumulationLevels,
                                             List<htsjdk.samtools.SAMReadGroupRecord> samRgRecords,
                                             htsjdk.samtools.reference.ReferenceSequenceFile refFile,
                                             File perTargetCoverage,
                                             File perBaseCoverage,
                                             htsjdk.samtools.util.IntervalList targetIntervals,
                                             htsjdk.samtools.util.IntervalList probeIntervals,
                                             String probeSetName,
                                             int nearProbeDistance,
                                             int minimumMappingQuality,
                                             int minimumBaseQuality,
                                             boolean clipOverlappingReads,
                                             boolean noSideEffects,
                                             int coverageCap,
                                             int sampleSize)

  - ### Method Detail

    - #### convertMetric

          public TargetedPcrMetrics convertMetric(picard.analysis.directed.TargetMetrics targetMetrics)

      Specified by:
        `convertMetric` in class `TargetMetricsCollector<TargetedPcrMetrics>`